Ambari Managed HDF Upgrade
Also available as:
PDF

Set Kafka Properties

Before you begin the upgrade process, you need to set the following properties in Kafka (kafka-broker) using Ambari:

  • inter.broker.protocol.version

  • log.message.format.version

  1. Check whether you have set the value of the inter.broker.protocol.version property in Ambari.
    1. If yes, then change the value to your current Kafka version.
      You do not need to change the value, if it is already set to the current Kafka version you are using.
    2. If no, then open /var/log/kafka/server.log, locate the inter.broker.protocol.version property at the end of the log file, and find you current Kafka version. Then go to Ambari and add the inter.broker.protocol.version property with the value you found.
  2. Check whether you have already set the value of the log.message.format.version property as previous or current Kafka version in Ambari.
    1. If yes, then do not change anything.
    2. If no, then open /var/log/kafka/server.log, locate the log.message.format.version property at the end of the log file, and find the Kafka version. Then go to Ambari and add the log.message.format.version property with the value you found.
    Note
    Note
    You must use the first two digit of the Kafka version as the value of the above properties. For example, use 2.0, 1.1, or 1.0.
    Note
    Note
    For more information on Kafka 2.1.0 upgrade scenario, see http://kafka.apache.org/documentation/#upgrade_2_1_0.